Loading...
Searching...
No Matches
casacore::RFError Class Reference
images package (libcasa_images) » Regions_module

More...

`#include <RFReaderWriter.h>`

## Public Member Functions

| RFError ()
| Constructor, blank error.
| RFError (const String &error, bool isFatal=false)
| Constructor, error with the given text and isFatal flag.
| ~RFError ()
| Destructor.
bool | isFatal () const
| Returns whether this error was fatal or not.
const String & | error () const
| Returns this error's text.
void | set (const String &error, bool isFatal=false)
| Sets the error.

## Private Attributes

String | error_p
bool | fatal_p

## Detailed Description

Convenience class for a String/bool pair.

### Intended use:

Public interface

### Synopsis

### Example

Definition at line 65 of file RFReaderWriter.h.

## Constructor & Destructor Documentation

## RFError() [1/2]

casacore::RFError::RFError | ( |  | ) |

Constructor, blank error.

## RFError() [2/2]

casacore::RFError::RFError | ( | const String & | error,
|  | bool | isFatal = false )

Constructor, error with the given text and isFatal flag.

References error(), and isFatal().

## ~RFError()

casacore::RFError::~RFError | ( |  | ) |

Destructor.

## Member Function Documentation

## error()

const String & casacore::RFError::error | ( |  | ) | const

Returns this error's text.

Referenced by RFError(), and set().

## isFatal()

bool casacore::RFError::isFatal | ( |  | ) | const

Returns whether this error was fatal or not.

Referenced by RFError(), and set().

## set()

void casacore::RFError::set | ( | const String & | error,
|  | bool | isFatal = false )

Sets the error.

References error(), and isFatal().

## Member Data Documentation

## error_p

String casacore::RFError::error_p

private

Definition at line 87 of file RFReaderWriter.h.

## fatal_p

bool casacore::RFError::fatal_p

private

Definition at line 88 of file RFReaderWriter.h.

The documentation for this class was generated from the following file:

- images/Regions/RFReaderWriter.h